Bug 847762 - [Port mirroring] Port mirroring does not work if the VM does not have an IPv4 address to its port-mirroring-enabled NIC.
[Port mirroring] Port mirroring does not work if the VM does not have an IPv4...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Hildred
ecs-bugs
network
: Documentation
Depends On:
Blocks: 565697 test
  Show dependency treegraph
 
Reported: 2012-08-13 09:35 EDT by GenadiC
Modified: 2016-02-10 14:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:22:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
vdsm log (880.91 KB, application/x-gzip)
2012-08-13 09:35 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-08-13 09:35:21 EDT
Created attachment 604009 [details]
vdsm log

Description of problem:
Stop the VM that is doing port mirroring to other VMs and start it again.
Port mirroring will not work anymore on that VM.  

Steps to Reproduce:
1. Make sure that VM1 is mirroring traffic of other VMs (tcpdump is working)
2. Stop VM1
3. Start VM1
  
Actual results:
Port mirroring is not working anymore on VM1

Expected results:
After restart Port mirroring should continue working as before.


Additional info:
Comment 2 GenadiC 2012-08-13 11:21:59 EDT
This problem happened as we support Port mirroring in L3 only.
After start, VM didn't get IP, that's why port mirroring didn't work.
After configuring IP on the VM port mirroring continued working

Note You need to log in before you can comment on or make changes to this bug.